const path = require('path')
const AutoImport = require('unplugin-auto-import/webpack').default

if (process.env.UNI_PLATFORM === 'h5') {
  process.env.UNI_OUTPUT_DIR = path.join(__dirname, 'build')
}

module.exports = {
  devServer: {
    // 代理配置
    proxy: {
      '/admin': {
        target: 'http://gyyb.test.gzyzzckj.com',
        changeOrigin: true,
        pathRewrite: {
          '^/admin': '/'
        }
      }
    }
  },

  transpileDependencies: ['uview-ui'],

  configureWebpack: {
    resolve: {
      alias: {
        '@': path.join(__dirname, 'src')
      }
    },
    plugins: [
      AutoImport({
        imports: [
          {
            'rexma-cli': ['xma']
          }
        ]
      })
    ]
  }
}
